##############################################################################
#
# vc/src/tcl/helpscreen.tcl
#
# A modal-dialog-type helpscreen.
#
# 20020625 MLE - created
#
# Copyright (c) 2002 IntegriNautics Corporation.
# All Rights Reserved. 
##############################################################################
namespace eval Screen { 

label .fmodal.title1 -text "Help" -font $huge_font -justify center
label .fmodal.title2 -text "Updating Current Configuration" -font $big_font -justify center

place .fmodal.title1 -relx 0.5 -y 5 -anchor n
place .fmodal.title2 -relx 0.5 -y 41 -anchor n

label .fmodal.intro1 -text \
    "The \"Updating Current Configuration\" screen is presented when
a currently selected element is deleted.
For example, if you delete the current base station,
the updating current configuration screen is presented, directing
you to select a different base station.\n
Touching the \"Ok\" button makes the requested change." \
    -font $big_font -justify left

place .fmodal.intro1 -relx 0 -y 70 -anchor nw 
}