##############################################################################
#
# vc/src/tcl/helpscreen.tcl
#
# A modal-dialog-type helpscreen.
#
# 20020625 MLE - created
#
# Copyright (c) 2002 IntegriNautics Corporation.
# All Rights Reserved. 
##############################################################################
namespace eval Screen { 

    label .fmodal.title1 -text "Help" -font $huge_font -justify center
    label .fmodal.title2 -text "Synchronize Base Stations" -font $big_font -justify center

    place .fmodal.title1 -relx 0.5 -y 5 -anchor n
    place .fmodal.title2 -relx 0.5 -y 41 -anchor n

    frame .fmodal.helpdisplay -width 400 -height 350
    place .fmodal.helpdisplay  -relx 0.2 -y 81 -anchor nw

    frame .fmodal.buttons -width 150 -height 400
    place .fmodal.buttons -relx 0.8 -y 81

    SnazzyButton::create .fmodal.buttons.cancel btnBlueM2U btnBlueM2D \
	0.5 "" "Cancel"

    SnazzyButton::create .fmodal.buttons.okay btnBlueM2U btnBlueM2D \
	0.5 "" "Okay"

    place .fmodal.buttons.cancel -relx 0 -y 30 -anchor nw
    place .fmodal.buttons.okay -relx 0 -y 137 -anchor nw

    label .fmodal.helpdisplay.l1 -text "Use the cancel button to cancel the \
deletion of the\ncurrently selected base station and all associated\nfield \
and job data.
\n\n\n\n\nUse the okay button to remove the currently selected\nbase station \
and all associated field and job data." \
	-font $small_font -justify left -foreground red

    place .fmodal.helpdisplay.l1 -anchor nw -relx 0 -y 15

}