#!/bin/sh

HW_VERSION=$( cat /proc/kwp2k | grep "Hardware id" | cut -f 2 -d "|" | tr -d " " )

HWB_MAC=$( cat /proc/hwblock | grep "MAC address low" | cut -f 2 -d "|" | tr -d " " | sed -e "s/0x00//" )
CUR_MAC=$( ifconfig | grep HWaddr | cut -f 5-7 -d ":" | tr -d ":" )

echo HW: $HW_VERSION CHECK: $HWB_MAC vs. $CUR_MAC

if [ $HW_VERSION = "45MCT303" ]; then

	echo Correct version
	
	if [ $HWB_MAC != $CUR_MAC ]; then

		echo Erase MAC from environment
		sgvt_ldrupd -v ethaddr
	else
		echo Correct MAC
	fi
fi
