# A5 upgrade script

#!/bin/sh

rm /mnt/sandisk/upgrade/apps/softwareupgrade/upgradeComplete
rm /mnt/sandisk/upgrade/apps/softwareupgrade/upgradeFailed
rm /mnt/sandisk/upgrade/apps/softwareupgrade/systemCorrupted
rm /mnt/sandisk/upgrade/apps/softwareupgrade/backupComplete
rm /mnt/sandisk/upgrade/apps/softwareupgrade/backupFailed
rm /mnt/sandisk/upgrade/apps/softwareupgrade/cplangComplete
rm /mnt/sandisk/upgrade/apps/softwareupgrade/cplangFailed


mkdir /ut
mount -t jffs2 /dev/mtdblock3 /ut
if [ ! -e /ut/mnt/apps/vc/bin/language.txt  ]; then
   touch /mnt/sandisk/upgrade/apps/softwareupgrade/cplangFailed
   touch /mnt/sandisk/upgrade/apps/softwareupgrade/backupFailed
   exit
fi
mv /ut/mnt/apps/vc/bin/language.txt  /ut/mnt/apps/vc/bin/language.back
if [ ! -e /ut/mnt/apps/vc/bin/language.back  ]; then
   touch /mnt/sandisk/upgrade/apps/softwareupgrade/cplangFailed
   touch /mnt/sandisk/upgrade/apps/softwareupgrade/backupFailed
   exit
fi
if [ ! -e /mnt/sandisk/language.txt  ]; then
   touch /mnt/sandisk/upgrade/apps/softwareupgrade/cplangFailed
   touch /mnt/sandisk/upgrade/apps/softwareupgrade/backupFailed
   exit
fi
cp /mnt/sandisk/language.txt  /ut/mnt/apps/vc/bin/language.txt
# check that copy occurred properly
if [ ! -e /ut/mnt/apps/vc/bin/language.txt  ]; then
   mv /ut/mnt/apps/vc/bin/language.back  /ut/mnt/apps/vc/bin/language.txt
   if [ ! -e /ut/mnt/apps/vc/bin/language.txt  ]; then
       touch /mnt/sandisk/upgrade/apps/softwareupgrade/systemCorrupted
   fi
   touch /mnt/sandisk/upgrade/apps/softwareupgrade/backupFailed
   touch /mnt/sandisk/upgrade/apps/softwareupgrade/cplangFailed
   exit
fi
umount /ut



touch /mnt/sandisk/upgrade/apps/softwareupgrade/cplangComplete
echo finished!

