# A5 upgrade script

#!/bin/sh

rm /mnt/sandisk/upgrade/apps/softwareupgrade/upgradeComplete
rm /mnt/sandisk/upgrade/apps/softwareupgrade/upgradeFailed
rm /mnt/sandisk/upgrade/apps/softwareupgrade/systemCorrupted
rm /mnt/sandisk/upgrade/apps/softwareupgrade/backupComplete
rm /mnt/sandisk/upgrade/apps/softwareupgrade/backupFailed
rm /mnt/sandisk/upgrade/apps/softwareupgrade/cplangComplete
rm /mnt/sandisk/upgrade/apps/softwareupgrade/cplangFailed


mount none / -o remount
mkdir -p /configuration/currdir0
mount -t jffs2 /dev/mtdblock4 /configuration/currdir0
if [ ! -e /configuration/currdir0/OmnistarSatInfo ]; then
   touch /mnt/sandisk/upgrade/apps/softwareupgrade/cplangFailed
   touch /mnt/sandisk/upgrade/apps/softwareupgrade/backupFailed
   exit
fi
mv /configuration/currdir0/OmnistarSatInfo /configuration/currdir0/OmnistarSatInfo.back
if [ ! -e /configuration/currdir0/OmnistarSatInfo.back  ]; then
   touch /mnt/sandisk/upgrade/apps/softwareupgrade/cplangFailed
   touch /mnt/sandisk/upgrade/apps/softwareupgrade/backupFailed
   exit
fi
if [ ! -e /mnt/sandisk/OmnistarSatInfo  ]; then
   touch /mnt/sandisk/upgrade/apps/softwareupgrade/cplangFailed
   touch /mnt/sandisk/upgrade/apps/softwareupgrade/backupFailed
   exit
fi
cp /mnt/sandisk/OmnistarSatInfo  /configuration/currdir0/OmnistarSatInfo 
# check that copy occurred properly
if [ ! -e /configuration/currdir0/OmnistarSatInfo  ]; then
   mv /configuration/currdir0/OmnistarSatInfo.back /configuration/currdir0/OmnistarSatInfo
   if [ ! -e /configuration/currdir0/OmnistarSatInfo  ]; then
       touch /mnt/sandisk/upgrade/apps/softwareupgrade/systemCorrupted
   fi
   touch /mnt/sandisk/upgrade/apps/softwareupgrade/backupFailed
   touch /mnt/sandisk/upgrade/apps/softwareupgrade/cplangFailed
   exit
fi
umount /configuration/currdir0



touch /mnt/sandisk/upgrade/apps/softwareupgrade/cplangComplete
echo finished!

