#!/bin/sh

# Check generation of OS installed in UT, either Rev C, or pre C
# Rev C versions have /sbin/xset installed, older versions do not.

mkdir /ut
mount -t jffs2 /dev/mtdblock3 /ut

if [ -e /ut/sbin/xset ]; then
   echo "Rev C OS installed"
   OS_VER=REV_C;
else
   echo "Rev B OS installed"
   OS_VER=REV_B;
fi

umount /ut
rm -rf /ut

